Package: org.gradle.tooling.events.task

## [Java] Interface TaskFinishEvent

- org.gradle.tooling.events.task.TaskFinishEvent

- All Superinterfaces:
    FinishEvent, ProgressEvent, TaskProgressEvent

  An event that informs about a task having finished its execution. You can query the result of the task using getResult().

  Since:
    2.5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TaskOperationResult` | `getResult()` Returns the result of the finished task operation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface FinishEvent` | `getResult`
    `interface TaskProgressEvent` | `getDescriptor`

- - ### Method Detail

    - #### @Override public TaskOperationResult getResult()

      Returns the result of the finished task operation. Currently, the result will be one of the following sub-types:

      - TaskSuccessResult
      - TaskSkippedResult
      - TaskFailureResult
      Returns:
        the result of the finished task operation